Package org.drinkless.tdlib

# Class TdApi.ChatInviteLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatInviteLink

Enclosing class:
  `TdApi`

public static class TdApi.ChatInviteLink extends TdApi.Object
Contains a chat invite link.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `createsJoinRequest`
  True, if the link only creates join request.
  `long`
  `creatorUserId`
  User identifier of an administrator created the link.
  `int`
  `date`
  Point in time (Unix timestamp) when the link was created.
  `int`
  `editDate`
  Point in time (Unix timestamp) when the link was last edited; 0 if never or unknown.
  `int`
  `expirationDate`
  Point in time (Unix timestamp) when the link will expire; 0 if never.
  `int`
  `expiredMemberCount`
  Number of chat members, which joined the chat using the link, but have already left because of expired subscription; for subscription links only.
  `String`
  `inviteLink`
  Chat invite link.
  `boolean`
  `isPrimary`
  True, if the link is primary.
  `boolean`
  `isRevoked`
  True, if the link was revoked.
  `int`
  `memberCount`
  Number of chat members, which joined the chat using the link.
  `int`
  `memberLimit`
  The maximum number of members, which can join the chat using the link simultaneously; 0 if not limited.
  `String`
  `name`
  Name of the link.
  `int`
  `pendingJoinRequestCount`
  Number of pending join requests created using this link.
  `TdApi.StarSubscriptionPricing`
  `subscriptionPricing`
  Information about subscription plan that is applied to the users joining the chat by the link; may be null if the link doesn't require subscription.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatInviteLink()`
  Contains a chat invite link.
  `ChatInviteLink(String inviteLink, String name, long creatorUserId, int date, int editDate, int expirationDate, TdApi.StarSubscriptionPricing subscriptionPricing, int memberLimit, int memberCount, int expiredMemberCount, int pendingJoinRequestCount, boolean createsJoinRequest, boolean isPrimary, boolean isRevoked)`
  Contains a chat invite link.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inviteLink

    public String inviteLink
    Chat invite link.

  - ### name

    public String name
    Name of the link.

  - ### creatorUserId

    public long creatorUserId
    User identifier of an administrator created the link.

  - ### date

    public int date
    Point in time (Unix timestamp) when the link was created.

  - ### editDate

    public int editDate
    Point in time (Unix timestamp) when the link was last edited; 0 if never or unknown.

  - ### expirationDate

    public int expirationDate
    Point in time (Unix timestamp) when the link will expire; 0 if never.

  - ### subscriptionPricing

    @Nullable public TdApi.StarSubscriptionPricing subscriptionPricing
    Information about subscription plan that is applied to the users joining the chat by the link; may be null if the link doesn't require subscription.

  - ### memberLimit

    public int memberLimit
    The maximum number of members, which can join the chat using the link simultaneously; 0 if not limited. Always 0 if the link requires approval.

  - ### memberCount

    public int memberCount
    Number of chat members, which joined the chat using the link.

  - ### expiredMemberCount

    public int expiredMemberCount
    Number of chat members, which joined the chat using the link, but have already left because of expired subscription; for subscription links only.

  - ### pendingJoinRequestCount

    public int pendingJoinRequestCount
    Number of pending join requests created using this link.

  - ### createsJoinRequest

    public boolean createsJoinRequest
    True, if the link only creates join request. If true, total number of joining members will be unlimited.

  - ### isPrimary

    public boolean isPrimary
    True, if the link is primary. Primary invite link can't have name, expiration date, or usage limit. There is exactly one primary invite link for each administrator with canInviteUsers right at a given time.

  - ### isRevoked

    public boolean isRevoked
    True, if the link was revoked.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatInviteLink

    public ChatInviteLink()
    Contains a chat invite link.

  - ### ChatInviteLink

    public ChatInviteLink(String inviteLink, String name, long creatorUserId, int date, int editDate, int expirationDate, TdApi.StarSubscriptionPricing subscriptionPricing, int memberLimit, int memberCount, int expiredMemberCount, int pendingJoinRequestCount, boolean createsJoinRequest, boolean isPrimary, boolean isRevoked)
    Contains a chat invite link.
    Parameters:
      `inviteLink` - Chat invite link.
      `name` - Name of the link.
      `creatorUserId` - User identifier of an administrator created the link.
      `date` - Point in time (Unix timestamp) when the link was created.
      `editDate` - Point in time (Unix timestamp) when the link was last edited; 0 if never or unknown.
      `expirationDate` - Point in time (Unix timestamp) when the link will expire; 0 if never.
      `subscriptionPricing` - Information about subscription plan that is applied to the users joining the chat by the link; may be null if the link doesn't require subscription.
      `memberLimit` - The maximum number of members, which can join the chat using the link simultaneously; 0 if not limited. Always 0 if the link requires approval.
      `memberCount` - Number of chat members, which joined the chat using the link.
      `expiredMemberCount` - Number of chat members, which joined the chat using the link, but have already left because of expired subscription; for subscription links only.
      `pendingJoinRequestCount` - Number of pending join requests created using this link.
      `createsJoinRequest` - True, if the link only creates join request. If true, total number of joining members will be unlimited.
      `isPrimary` - True, if the link is primary. Primary invite link can't have name, expiration date, or usage limit. There is exactly one primary invite link for each administrator with canInviteUsers right at a given time.
      `isRevoked` - True, if the link was revoked.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR